Subject: [bug#54180] [PATCH 00/12] Home: Clarify and better test symlink-manager.scm

From: Ludovic Courtès <[email-masked]>
Date: Sat, 05 Mar 2022 23:20:31 +0100

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op zo 27-02-2022 om 14:53 [+0100]:
>> * tests/guix-home.sh: Invoke "guix home reconfigure" a second time with
>> a modify config file and check the result.
>
> Something I don't understand, is why these tests are bash scripts in
> the first place.
>
> Wouldn't Scheme code suffice and be easier to reason about?  For
> example, Scheme code would avoid repeating the complicated code for
> starting a daemon and making sure it exits in every .sh test.

It’s useful to have integration tests that exercise the commands; unit
tests would also be welcome, but that’s what we have so far.